Page MenuHomePhabricator

mediawiki.org news distributed to social media and Wikimedia tech blog
Closed, DeclinedPublic

Description

Currently we have a missed opportunity around MediaWiki developer and Wikimedia tech news. This epic task tries to fix this problem. Let's keep the generic discussion here and let's create subtasks for specific goals.

Problems

  • Publishing news in mediawiki.org is a pain. We don't even have a proper place (or extension?) for that. https://www.mediawiki.org/wiki/News
  • Publishing news in https://blog.wikimedia.org/c/technology/ (Wordpress) could be simpler from a tooling point of view, but we don't have a light and open process though proposing drafts is possible.
  • We have a fragmentation of channels: mediawiki.org, Wikimedia tech blog, multiple social media accounts in multiple services. Even after writing a news piece, distributing it through all these channels is not trivial.
  • The editorial work through all these different channels is quite centralized, with the responsibility of distribution falling in the hands of a few very busy people. Casual contributors are basically left out.
  • We are not even using or monitoring the MediaWiki social media accounts socially (resharing, replying, following...)
  • The list https://www.mediawiki.org/wiki/Social_media duplicates the official lists on Meta-Wiki, which the social media folks are most likely to check.

Goals

  • Publishing should be easy for anybody with something interesting to say. This is currently possible in the Wikimedia Planet.
  • Wikimedia tech blog, mediawiki.org, and social media should be automatically in sync.
    • RSS extension can easily publish a single blog/feed on a wiki page, already used on http://wikimediafoundation.org/
    • It's equally trivial to push a feed to Twitter, Facebook and probably others.
  • The MediaWiki social media accounts should be properly maintained by people knowing and enjoying the social media game (resharing, replying, following...)

See also

Event Timeline

Qgil created this task.Jan 10 2015, 12:16 PM
Qgil raised the priority of this task from to Low.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Nemo_bis updated the task description. (Show Details)Jan 11 2015, 5:21 PM
Nemo_bis set Security to None.
Nemo_bis updated the task description. (Show Details)
Qgil lowered the priority of this task from Low to Lowest.Jul 7 2015, 11:27 AM
Qgil moved this task from Backlog to January-March 2016 on the Developer-Advocacy board.
jrbs added a subscriber: jrbs.Sep 11 2015, 6:44 PM
jrbs added a comment.Feb 9 2016, 5:25 PM

It seems to me that a key part of this is that publishing tech-themed blogposts is, at the moment at least, too difficult. Would that be a fair assessment?

How could we make this easier? (Potentially splitting this segment of this Epic task into a smaller one?)

Food for thought :)

Qgil added a comment.Feb 11 2016, 12:14 PM

I tried to explain the main parts involved in the description. If you would need to pick one task to solve first, which one would you pick?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 2:06 PM
Qgil updated the task description. (Show Details)May 22 2017, 4:38 PM

Hi all! I'd love to chat with you about this epic task, as we're streamlining some of our comms stuff to make it easier to get news out. LMK if you want to set something up, or whether there's a particular aspect of this that we can help fix.

Qgil raised the priority of this task from Lowest to Low.Jun 16 2017, 6:34 PM
MelodyKramer moved this task from Idea to Idea on the Wikimedia-Blog-Content board.
Aklapper closed this task as Declined.Apr 2 2019, 6:39 PM

I'm boldly declining this task.
It lacks a description what "mediawiki.org news" are; no open subtasks are defined; things have changed and moved in the meantime.

Please feel free to create specific tasks if specific problems mentioned in this task are still valid. Thanks!


Problems

In my understanding, https://www.mediawiki.org/wiki/News is about MediaWiki tarball releases and strongly WM/MW focused conferences.
Without specific past examples of aforementioned "MediaWiki developer news" and "Wikimedia tech news" I do not see good reasons why to extend its scope. Note that the page is prominently embedded on the mediawiki.org front page.

In the meantime that blog has been closed. Wikimedia Foundation News stuff (e.g. offering a light and open process) should be discussed with WMF-Communications.

  • Publishing should be easy for anybody with something interesting to say.

Without being any more specific I'd reply that anyone can publish anything wherever they feel like already (create wiki pages, write to mailing lists, and and and).

  • Wikimedia tech blog, mediawiki.org, and social media should be automatically in sync.

mediawiki.org should not be in this list. (See above.)

  • The MediaWiki social media accounts should be properly maintained by people knowing and enjoying the social media game (resharing, replying, following...)

That's a potential separate task. For the WMF part, there is probably stuff on officewiki on the Registrations page (and checking whether that is up-to-date and in sync with https://www.mediawiki.org/wiki/Social_media might be yet another separate task).

Qgil added a comment.Apr 2 2019, 8:17 PM

OK, yes, it makes sense to decline this task now. Thank you.

Qgil awarded a token.Apr 2 2019, 8:17 PM